POST api/Zapier/InsertServiceRequestsVehicleTransfer
Insert service request vehicle transfer.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsVehicleTransferModel| Name | Description | Type | Additional information |
|---|---|---|---|
| is_car_under_insured_name | boolean |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"is_car_under_insured_name": true,
"description": "sample string 2",
"status": "sample string 3",
"insured_id": "c6b36cda-0216-4886-ae5a-c440b289acd2",
"insured_name": "sample string 4",
"insured_email": "sample string 5",
"insured_phone": "sample string 6",
"policy_number": "sample string 7",
"stage": "sample string 8",
"custom_type": "sample string 9",
"request_database_id": "96fbd33d-f1b2-47a5-b26b-63335c5d2c40",
"policy_database_id": [
"54782167-b2a5-4798-88bf-6adbd17ff9e9",
"18d04e9b-4e9c-4bb0-987d-59cfce284f37"
],
"agent_database_id": [
"c97a8a9d-d148-4106-b331-f9fda15e2054",
"2a54d1f9-003f-444b-98fe-276de1ecd67c"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsVehicleTransferModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>c97a8a9d-d148-4106-b331-f9fda15e2054</d2p1:guid>
<d2p1:guid>2a54d1f9-003f-444b-98fe-276de1ecd67c</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 2</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">c6b36cda-0216-4886-ae5a-c440b289acd2</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>54782167-b2a5-4798-88bf-6adbd17ff9e9</d2p1:guid>
<d2p1:guid>18d04e9b-4e9c-4bb0-987d-59cfce284f37</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">96fbd33d-f1b2-47a5-b26b-63335c5d2c40</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Status>
<IsCarUnderInsuredName>true</IsCarUnderInsuredName>
</ServiceRequestsVehicleTransferModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>